<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect2 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../../general.ent">
  %general-entities;

  <!ENTITY sentry-sdk-download-http "https://github.com/getsentry/sentry-python/releases/download/&sentry-sdk-version;/sentry_sdk-&sentry-sdk-version;.tar.gz">
  <!ENTITY sentry-sdk-download-ftp  " ">
  <!ENTITY sentry-sdk-md5sum        "6ecdbf8b6cddf5c083ebbf1a01aed3c8">
  <!ENTITY sentry-sdk-size          "300 KB">
  <!ENTITY sentry-sdk-buildsize     "3.6 MB">
  <!ENTITY sentry-sdk-time          "less than 0.1 SBU">
]>

  <sect2 id="sentry-sdk" xreflabel="sentry-sdk-&sentry-sdk-version;">

    <title>sentry-sdk-&sentry-sdk-version;</title>

    <indexterm zone="sentry-sdk">
      <primary sortas="a-sentry-sdk">sentry-sdk</primary>
    </indexterm>

    <sect3 role="package">
      <title>Introduction to sentry-sdk Module</title>

      <para>
        The <application>sentry-sdk</application> module is the official Python 
        SDK for Sentry.io.  <!-- I know.  This doesn't say much, but I couldn't
        find a better short description. - bdubbs -->
      </para>

      &lfs123_checked;

      <bridgehead renderas="sect4">Package Information</bridgehead>
      <itemizedlist spacing="compact">
        <listitem>
          <para>
            Download (HTTP): <ulink url="&sentry-sdk-download-http;"/>
          </para>
        </listitem>
        <listitem>
          <para>
            Download (FTP): <ulink url="&sentry-sdk-download-ftp;"/>
          </para>
        </listitem>
        <listitem>
          <para>
            Download MD5 sum: &sentry-sdk-md5sum;
          </para>
        </listitem>
        <listitem>
          <para>
            Download size: &sentry-sdk-size;
          </para>
        </listitem>
        <listitem>
          <para>
            Estimated disk space required: &sentry-sdk-buildsize;
          </para>
        </listitem>
        <listitem>
          <para>
            Estimated build time: &sentry-sdk-time;
          </para>
        </listitem>
      </itemizedlist>

      <bridgehead renderas="sect4">sentry-sdk Dependencies</bridgehead>

      <bridgehead renderas="sect5">Required</bridgehead>
      <para role="required">
        <xref linkend="certifi"/> and
        <xref linkend="urllib3"/>
      </para>

    </sect3>

    <sect3 role="installation">
      <title>Installation of sentry-sdk</title>

      <para> Build the module: </para>

&build-wheel;

      <para>
        Now, as the <systemitem class="username">root</systemitem> user:
      </para>

<screen role="root"><userinput>&install-wheel; sentry-sdk</userinput></screen>

    </sect3>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../../xincludes/pip3-cmd-explain.xml"/>

    <sect3 role="content">
      <title>Contents</title>

      <segmentedlist>
        <segtitle>Installed Programs</segtitle>
        <segtitle>Installed Libraries</segtitle>
        <segtitle>Installed Directories</segtitle>

        <seglistitem>
          <seg>None </seg>
          <seg>None</seg>
          <seg>
            /usr/lib/python&python3-majorver;/site-packages/sentry_sdk-&sentry-sdk-version;.dist-info and
            /usr/lib/python&python3-majorver;/site-packages/sentry_sdk
          </seg>
        </seglistitem>
      </segmentedlist>

    </sect3>

  </sect2>
